Subject: [OKAIR] Malcolm Baldrige process

From: Karla Oty <[email-masked]>
Date: Thu, 24 May 2012 12:47:14 -0000

I have been asked to learn more about the Malcolm Baldrige process.  I've done reading on their webpage and on the Oklahoma Quality webpage, but was wondering if anyone has any direct experience with using the Malcolm Baldrige process on their campus.  I'm interested in the length of time it took to complete the process, the resources that were needed, and opinions on the pros and cons of the experience.

Thanks,

Karla

Karla J. Oty, Ph.D.
Director, Institutional Research, Assessment, and Accountability
Cameron University
2800 W. Gore Blvd
Lawton, OK 73505
(580) 581-2899